Subject: Update libssh to 0.10.4

From: Vagrant Cascadian <[email-masked]>
Date: Wed, 18 Jan 2023 10:52:18 -0800

I've been working on this one a couple months (mostly was blocked on
fixing guile-ssh to be compatible), and got mostly successful rebuilds
most of the times I've tried it... by the time I finish rebuilds,
though, most changes usually land in master, and the cycle begins anew.

So I think I am moderately confident to at least let QA build this
now. :)

live well,
  vagrant
From 9793f7ece6297c0dcf031d1d258487a023b1befa Mon Sep 17 00:00:00 2001
From: Vagrant Cascadian <[email-masked]>
Date: Thu, 27 Oct 2022 13:18:46 -0700
Subject: [PATCH] gnu: libssh: Update to 0.10.4.

* gnu/packages/ssh.scm (libssh): Update to 0.10.4.
---
 gnu/packages/ssh.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ssh.scm b/gnu/packages/ssh.scm
index 2f6874f811..d398c5911a 100644
--- a/gnu/packages/ssh.scm
+++ b/gnu/packages/ssh.scm
@@ -130,7 +130,7 @@ (define-public hss
 (define-public libssh
   (package
     (name "libssh")
-    (version "0.9.6")
+    (version "0.10.4")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://www.libssh.org/files/"
@@ -138,7 +138,7 @@ (define-public libssh
                                   "/libssh-" version ".tar.xz"))
               (sha256
                (base32
-                "16w2mc7pyv9mijjlgacbz8dgczc7ig2m6m70w1pld04vpn2zig46"))))
+                "0zfr9fy4vg1bmz1k836hg9wi20mmaz2sgw61s6464iv1mda2qf87"))))
     (build-system cmake-build-system)
     (outputs '("out" "debug"))
     (arguments
-- 
2.39.0